MeasurementInfos (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.MeasurementInfos class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class MeasurementInfos

    java.lang.Object
      org.hyperic.hq.product.MeasurementInfos

    public class MeasurementInfos

extends java.lang.Object

A collection of `MeasurementInfo`s

Constructor Summary
`MeasurementInfos()`

Method Summary
`void` | `addMeasurementInfo(MeasurementInfo measurement)` Adds a measurement to the collection
`static MeasurementInfos` | `decode(byte[] data)` Constructs a `MeasurementInfos` from a byte array
`byte[]` | `encode()` Constructs a byte array from this collection of `MeasurementInfo`s
`boolean` | `equals(java.lang.Object obj)`
`MeasurementInfo` | `getMeasurement(java.lang.String name)`
`java.util.Set` | `getMeasurementNames()`
`java.util.Set` | `getMeasurements()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeasurementInfos

    public MeasurementInfos()

Method Detail

### decode

    public static MeasurementInfos decode(byte[] data)
                                   throws EncodingException,
                                          InvalidOptionException,
                                          InvalidOptionValueException

  Constructs a `MeasurementInfos` from a byte array

  Parameters:
    `data` - The byte array
  Returns:
    The created `MeasurementInfos`
  Throws:
    `EncodingException`
    `InvalidOptionException`
    `InvalidOptionValueException`

### addMeasurementInfo

    public void addMeasurementInfo(MeasurementInfo measurement)

  Adds a measurement to the collection

  Parameters:
    `measurement` - The measurement to add

### encode

    public byte[] encode()
                  throws EncodingException

  Constructs a byte array from this collection of `MeasurementInfo`s

  Returns:
    The encoded bytes representing this object
  Throws:
    `EncodingException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getMeasurementNames

    public java.util.Set getMeasurementNames()

  Returns:
    A Set of String representing the names of the Measurements contained by this collection

### getMeasurement

    public MeasurementInfo getMeasurement(java.lang.String name)

### getMeasurements

    public java.util.Set getMeasurements()

  Returns:
    The `MeasurementInfo`s in this collection

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.